
package com.kxs.common.core.constant;

/**
 * @author 没秃顶的码农
 * @date 2021年01月01日
 * <p>
 * 缓存的key 常量
 */
public interface CacheConstants {

	/**
	 * oauth 缓存前缀
	 */
	String PROJECT_OAUTH_ACCESS = "lhb_token::access_token";

	/**
	 * 验证码前缀
	 */
	String DEFAULT_CODE_KEY = "lhb_DEFAULT_CODE_KEY:";

	/**
	 * 菜单信息缓存
	 */
	String MENU_DETAILS = "lhb_menu_details";

	/**
	 * 用户信息缓存
	 */
	String USER_DETAILS = "lhb_user_details";

	/**
	 * 字典信息缓存
	 */
	String DICT_DETAILS = "lhb_dict_details";

	/**
	 * 角色信息缓存
	 */
	String ROLE_DETAILS = "lhb_role_details";

	/**
	 * oauth 客户端信息
	 */
	String CLIENT_DETAILS_KEY = "lhb_client:details";

	/**
	 * 参数缓存
	 */
	String PARAMS_DETAILS = "lhb_params_details";
	String INTERFACE_DETAILS = "interface_details";


	/**
	 * 用户职级缓存前缀
	 */
	String USER_LEVEL = "user_level:";

	String BANNER_LIST = "banner_list:";

	/**
	 * 上传文件缓存前缀
	 */
	String FILE_EXCEL = "file_excel";
}
