package com.kxs.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 机器类型enum
 *
 * @author Lxq
 * @date 2023-10-25
 */
@Getter
@AllArgsConstructor
public enum MachineTypeEnum {

    /**
     * 机具状态
     */
    STATUS_BAD(-1, "坏机"),
    STATUS_DIS(0, "停用"),
    STATUS_IS(1, "正常"),

    /**
     * 机具激活
     */
    NO_ACT(0, "未激活"),
    ACT(1, "已激活"),
    /**
     * 机具绑定
     */
    NO_BIND(0, "未绑定"),
    BIND(1, "已绑定"),
    SOLVE_BIND(2, "已解绑");

    //状态码
    private final Integer type;
    //状态码码描述
    private final String description;
}
