package com.kxs.common.core.valid;


import com.kxs.common.core.valid.impl.IdCardValidator;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

/**
 * 身份证验证
 *
 * @author 没秃顶的码农
 * @date 2024-10-23
 */
@Target({ElementType.FIELD,ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {IdCardValidator.class})// 指定约束处理器
public @interface IdCard {

    String message() default "身份证格式错误";

    Class<?>[] groups() default { }; // groups用来指定分组，可以让校验采取不同的机制，当前默认未指定任何分组机制，默认每次都要进行校验

    Class<? extends Payload>[] payload() default { };
}
