package com.kxs.common.excel.converters;

import com.kxs.common.excel.vo.ErrorMessage;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;


/**
 * 用于导入的进度信息
 *
 * @author 没秃顶的码农
 * @date 2024-07-26
 */
@Data
public class ImportAsyncInfo {


    //提示信息或 异常信息
    List<ErrorMessage> errorMessageList = new ArrayList<>();

    //数据总数
    private Integer totality = 0;

    //已处理的数据条数
    private Integer doneSum = 0;

    //失败的数据条数
    private Integer errorSum = 0;

    //成功的数据条数
    private Integer sucSum = 0;

    //导入是否结束
    public  Boolean isEnd= false;


    /**
     * uuid对应的进度 已处理的数据条数+1
     */
    public void doneAdd(int num){

        doneSum = doneSum + num;
    }

    /**
     * uuid对应的进度 失败的数据条数+1
     */
    public void errAdd(int num){

        errorSum = errorSum + num;
    }

    /**
     * uuid对应的进度 成功的数据条数+1
     */
    public void sucAdd(int num){

        sucSum = sucSum + num;
    }

    /**
     * 错误列表添加
     *
     * @param errorMessage 错误信息
     */
    public void errListAdd(ErrorMessage errorMessage){

      errorMessageList.add(errorMessage);
    }



}