package com.kxs.common.excel.handler;

import com.kxs.common.excel.annotation.ResponseExcel;
import jakarta.servlet.http.HttpServletResponse;
import lombok.SneakyThrows;
import org.springframework.scheduling.annotation.Async;

import java.io.FileInputStream;

/**
 * @author 没秃顶的码农
 * @date 2024/07/24
 * <p>
 * sheet 写出处理器
 */
public interface SheetWriteHandler {

	/**
	 * 是否支持
	 * @param obj
	 * @return
	 */
	boolean support(Object obj);

	/**
	 * 校验
	 * @param responseExcel 注解
	 */
	void check(ResponseExcel responseExcel);

	/**
	 * 返回的对象
	 * @param o obj
	 * @param response 输出对象
	 * @param responseExcel 注解
	 */
	void export(Object o, HttpServletResponse response, ResponseExcel responseExcel);

	/**
	 * 导出到 OSS
	 *
	 * @param o             o
	 * @param response      响应
	 * @param responseExcel 响应 excel
	 */
	void exportOss(Object o, HttpServletResponse response, ResponseExcel responseExcel);


	/**
	 * 写成对象
	 * @param o obj
	 * @param response 输出对象
	 * @param responseExcel 注解
	 */
	void write(Object o, HttpServletResponse response, ResponseExcel responseExcel);

	/**
	 * 写入 OSS
	 *
	 * @param o             obj
	 * @param response      输出对象
	 * @param responseExcel 注解
	 * @return
	 */
	FileInputStream writeToOss(Object o, HttpServletResponse response, ResponseExcel responseExcel);


}
