package com.kxs.common.idempotent.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * redis配置属性
 *
 * @author 没秃顶的码农
 * @date 2024-04-24
 */
@Data
@ConfigurationProperties(prefix = "spring.data.redis")
public class RedisProperties {

    private String prefix = "redis://";

    /**
     * host
     */
    private String host;

    /**
     * username
     */
    private String username;

    /**
     * pwd
     */
    private String password;

    /**
     * port
     */
    private String port = "6379";
}