
package com.kxs.common.file.oss.core;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 文件 配置信息
 *
 * @author 没秃顶的码农
 * @date 2024-04-18
 */
@Data
@ConfigurationProperties(prefix = "file.oss")
public class FileProperties {

	/**
	 * 默认的存储桶名称
	 */
	private String bucketName;

	/**
	 * 文件前缀
	 */
	private String filePrefix;

	/**
	 * 对象存储服务的URL
	 */
	private String endpoint = "https://oss-cn-hangzhou.aliyuncs.com";

	/**
	 * Access key
	 */
	private String accessKey = "test";

	/**
	 * Secret key
	 */
	private String secretKey = "test";

}
