
package com.kxs.common.file.oss.http;

import com.kxs.common.core.util.R;
import com.kxs.common.file.oss.service.OssTemplate;
import com.kxs.common.file.oss.vo.PolicyVO;
import lombok.AllArgsConstructor;
import lombok.SneakyThrows;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


/**
 * 对外提供服务端点
 *
 * @author 没秃顶的码农
 * @date 2024-04-18
 */
@RestController
@AllArgsConstructor
@RequestMapping("oss")
public class OssEndpoint {

	private final OssTemplate template;


	/**
	 * 政策
	 * 上传文件获取前置验证资料
	 *
	 * @param dir 文件路径
	 * @return {@link R}<{@link PolicyVO}>
	 */
	@SneakyThrows
	@GetMapping("policy")
	public R<PolicyVO> policy(@RequestParam("dir") String dir) {

		return template.getPolicy(dir);
	}
}
