package com.kxs.common.pay.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 微信支付配置
 *
 * @author 没秃顶的码农
 * @date 2024-04-24
 */
@Data
@ConfigurationProperties(prefix = "pay.wx")
@Component
public class WechatPayConfig {

    /**
     * 公众账号appid
     * 获取地址 https://mp.weixin.qq.com
     */
    private String appId;

    /**
     * 商户号
     * 获取地址 https://pay.weixin.qq.com
     */
    private String mchId;

    /**
     * 商户密钥
     */
    private String mchKey;

    /**
     * v3密钥
     */
    private String apiV3Key;

    /**
     * p12路径
     */
    private String keyPath;

    /**
     * 商户证书路径
     */
    private String privateKeyPath;
    private String privateCertPath;

    /**
     * 微信支付异步通知地址
     */
    private String notifyUrl;

    /**
     * 退款通知 URL
     */
    private String refundNotifyUrl;

    /**
     * app应用appid
     * 获取地址 https://open.weixin.qq.com
     */
    private String appAppId;

    private String certSerialNo;


}