package com.kxs.common.pay.model;

import com.kxs.common.pay.enums.PayPlatformEnum;
import lombok.Data;

/**
 * 付款请求
 *
 * @author 没秃顶的码农
 * @date 2024-04-24
 */
@Data
public class PayRequest {

    /**
     * 支付类型枚举
     */
    private PayPlatformEnum payTypeEnum;

    /**
     * 商户网站唯一订单号
     */
    private String outTradeNo;

    /**
     * 订单总金额，单位为元，精确到小数点后两位
     */
    private Double totalAmount;

    /**
     * 订单标题
     */
    private String subject;

    /**
     * 订单包含的商品列表信息，json格式
     */
    private String goodsDetail;

    /**
     * 公用回传参数 后期可区分多个支付线的回调
     */
    private String passbackParams;

    /**
     * 微信openid
     */
    private String openid;


}