package com.kxs.common.pay.model;

import com.kxs.common.pay.enums.PayPlatformEnum;
import lombok.Builder;
import lombok.Data;

/**
 * 退款请求
 *
 * @author 没秃顶的码农
 * @date 2024-04-24
 */
@Data
@Builder
public class RefundRequest {

    /**
     * 支付类型枚举
     */
    private PayPlatformEnum payTypeEnum;

    /**
     * 商户网站唯一订单号
     */
    private String outTradeNo;

    /**
     * 退款单号
     */
    private String outRefundNo;

    /**
     * 退款原因
     */
    private String refundReason;

    /**
     * 退款金额
     */
    private Double refundFee;

    /**
     * 原订单金额
     */
    private Double totalFee;


}