package com.kxs.common.pay.model;

import com.github.binarywang.wxpay.bean.notify.WxPayNotifyV3Result;
import com.google.gson.annotations.SerializedName;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * 支付宝回调消息
 *
 * @author 没秃顶的码农
 * @date 2024-04-28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
public class WxPayMessage extends PayMessage {

    @SerializedName("out_trade_no")
    private String outTradeNo;
    @SerializedName("transaction_id")
    private String transactionId;
    @SerializedName("trade_type")
    private String tradeType;
    @SerializedName("trade_state")
    private String tradeState;
    @SerializedName("trade_state_desc")
    private String tradeStateDesc;
    @SerializedName("bank_type")
    private String bankType;
    @SerializedName("attach")
    private String attach;
    @SerializedName("success_time")
    private String successTime;
    @SerializedName("amount")
    private BigDecimal amount;
}