package com.kxs.common.pay.model;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 余额同步回调消息
 *
 * @author 没秃顶的码农
 * @date 2024-04-28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
public class YuePayMessage extends PayMessage {


    /**
     * 交易编号
     */
    private String tradeNo;

    /**
     * 交易订单号
     */
    private String outTradeNo;

    /**
     * 交易状态
     */
    private Integer tradeStatus;

    /**
     * 交易金额
     */
    private BigDecimal tradeAmount;

    /**
     * 订单标题
     */
    private String subject;

    /**
     * 回传参数
     */
    private String passbackParams;
}