package com.kxs.lhb.basic.api.constant.enums;

import jakarta.validation.constraints.NotBlank;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.HashMap;
import java.util.Map;

/**
 * 通道商枚举类
 *
 * @author 没秃顶的码农
 * @date 2024-09-04
 */
@Getter
@RequiredArgsConstructor
public enum ChannelCodeEnum {

    TY("TY", "统一");

    private final String code;

    private final String description;

    private static final Map<String, ChannelCodeEnum> CHANNEL_CODE_ENUM_MAP = new HashMap<>();

    static {
        for (ChannelCodeEnum value : ChannelCodeEnum.values()) {
            CHANNEL_CODE_ENUM_MAP.put(value.getCode(), value);
        }
    }

    public static ChannelCodeEnum getChannelCode(@NotBlank String ifCode) {
        return CHANNEL_CODE_ENUM_MAP.get(ifCode);
    }
}
