
package com.kxs.lhb.basic.api.feign;

import com.kxs.common.core.constant.SecurityConstants;
import com.kxs.common.core.util.R;
import com.kxs.lhb.basic.api.model.LhbUser;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.service.annotation.GetExchange;

/**
 * @author Lxq
 * @date 2024/8/22
 */
public interface RemoteLhbBasicService {


	/**
	 * 通过code码查询用户信息
	 * @param code 微信授权码
	 * @param from 调用标志
	 * @return R
	 */
	@GetExchange("/user/loadUserByWxCode")
	R<LhbUser> loadUserByWxCode(@RequestParam("code") String code, @RequestHeader(SecurityConstants.FROM) String from);

	@GetExchange("sysGoods/goodsInfoTask")
	void goodsInfoTask(@RequestHeader(SecurityConstants.FROM) String from);

	@GetExchange("sysOrder/orderStatusTask")
	void orderStatusTask(@RequestHeader(SecurityConstants.FROM) String from);

	@GetExchange("sysOrder/orderFirstCharge")
	void orderFirstCharge(@RequestHeader(SecurityConstants.FROM) String from);
}
