package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.kxs.common.core.valid.Phone;
import jakarta.validation.constraints.NotBlank;

/**
 * 首页广告管理表(LhbBanner)表实体类
 *
 * @author 系统
 * @since 2024-10-18 16:10:12
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbBanner extends Model<LhbBanner> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 删除标记，0未删除，1已删除
     */
    @Schema(description = "删除标记，0未删除，1已删除")
    @NotNull(message = "删除标记，0未删除，1已删除不能为空")
    private Integer delFlag;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 标题
     */
    @Schema(description = "标题")
    private String title;


    /**
     * 封面图地址
     */
    @Schema(description = "封面图地址")
    private String picUrl;


    /**
     * 跳转链接
     */
    @Schema(description = "跳转链接")
    private String url;


    /**
     * 分类ID
     */
    @Schema(description = "分类ID")
    private String colId;


    /**
     * 备注
     */
    @Schema(description = "备注")
    private String remark;


    /**
     * 状态 0下架 1上架
     */
    @Schema(description = "状态 0下架 1上架")
    private Integer status;


    /**
     * 内容
     */
    @Schema(description = "内容")
    private String contents;


    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer sort;




}

