package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.kxs.common.core.valid.Phone;
import jakarta.validation.constraints.NotBlank;

/**
 * 广告位分类表(LhbCol)表实体类
 *
 * @author 系统
 * @since 2024-10-18 16:10:12
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbCol extends Model<LhbCol> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 删除标记，0未删除，1已删除
     */
    @Schema(description = "删除标记，0未删除，1已删除")
    private String delFlag;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 分类ID标识
     */
    @Schema(description = "分类ID标识")
    private String colId;


    /**
     * 分类名称
     */
    @Schema(description = "分类名称")
    private String colName;


    /**
     * 分类背景图片
     */
    @Schema(description = "分类背景图片")
    private String colPic;


    /**
     * 分类详情
     */
    @Schema(description = "分类详情")
    private String colDetail;


    /**
     * 外链
     */
    @Schema(description = "外链")
    private String url;


    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer sort;




}

