package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.kxs.common.core.valid.Phone;
import jakarta.validation.constraints.NotBlank;

/**
 * 套餐活动表(LhbGoodsActivities)表实体类
 *
 * @author 系统
 * @since 2024-10-18 16:10:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbGoodsActivities extends Model<LhbGoodsActivities> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer sort;


    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateBy;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;


    /**
     * 优惠方式(1.打折 2.直降)
     */
    @Schema(description = "优惠方式(1.打折 2.直降)")
    private Integer models;


    /**
     * 活动编码
     */
    @Schema(description = "活动编码")
    private String activityCode;


    /**
     * 活动描述
     */
    @Schema(description = "活动描述")
    private String activityDesc;


    /**
     * 活动名称
     */
    @Schema(description = "活动名称")
    private String activityName;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 删除标记，0未删除，1已删除
     */
    @TableLogic
    @Schema(description = "删除标记，0未删除，1已删除")
    private Integer delFlag;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 套餐ID
     */
    @Schema(description = "套餐ID")
    private Integer skuId;


    /**
     * 折扣值
     */
    @Schema(description = "折扣值")
    private Integer discount;


    /**
     * 直降金额值
     */
    @Schema(description = "直降金额值")
    private BigDecimal downAmt;




}

