package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 套餐表(LhbGoodsSku)表实体类
 *
 * @author 系统
 * @since 2024-10-18 16:10:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbGoodsSku extends Model<LhbGoodsSku> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer sort;


    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateBy;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;


    /**
     * 套餐详情
     */
    @Schema(description = "套餐详情")
    private String details;


    /**
     * 外部套餐ID
     */
    @Schema(description = "外部套餐ID")
    private String externalSkuId;


    /**
     * 简介
     */
    @Schema(description = "简介")
    private String summary;


    /**
     * 月租价格 单位分
     */
    @Schema(description = "月租价格 单位分")
    private BigDecimal monthFee;


    /**
     * 套餐名称
     */
    @Schema(description = "套餐名称")
    private String packageName;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 删除标记，0未删除，1已删除
     */
    @TableLogic
    @Schema(description = "删除标记，0未删除，1已删除")
    private Integer delFlag;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 产品ID
     */
    @Schema(description = "产品ID")
    private Integer goodsId;


    /**
     * 产品ID 用于分销充值返还档次查询
     */
    @Schema(description = "产品ID 用于分销充值返还档次查询")
    private String productId;




}

