package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.kxs.common.core.valid.Phone;
import jakarta.validation.constraints.NotBlank;

/**
 * 通道参数配置表(LhbInterfaceConfig)表实体类
 *
 * @author 系统
 * @since 2024-10-18 16:10:11
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbInterfaceConfig extends Model<LhbInterfaceConfig> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    private Integer id;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 删除标记，0未删除，1已删除
     */
    @Schema(description = "删除标记，0未删除，1已删除")
    private Integer delFlag;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 添加人
     */
    @Schema(description = "添加人")
    private String createBy;


    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateBy;


    /**
     * 备注
     */
    @Schema(description = "备注")
    private String remark;


    /**
     * 参数json格式
     */
    @Schema(description = "参数json格式")
    private String params;


    /**
     * 状态: 0-停用 1-启用
     */
    @Schema(description = "状态: 0-停用 1-启用")
    private Integer status;


    /**
     * 名称
     */
    @Schema(description = "名称")
    private String name;


    /**
     * 平台标识
     */
    @Schema(description = "平台标识")
    private String ifCode;


    /**
     * 通道类型
     */
    @Schema(description = "通道类型")
    private Integer paramType;




}

