package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.kxs.common.core.valid.Phone;
import jakarta.validation.constraints.NotBlank;

/**
 * 服务商工号人员(LhbIsvEmploy)表实体类
 *
 * @author 系统
 * @since 2024-10-18 16:10:13
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbIsvEmploy extends Model<LhbIsvEmploy> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 删除标记，0未删除，1已删除
     */
    @Schema(description = "删除标记，0未删除，1已删除")
    private Integer delFlag;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 状态 1正常 0停用
     */
    @Schema(description = "状态 1正常 0停用")
    private Integer status;


    /**
     * 服务商号
     */
    @Schema(description = "服务商号")
    private String isvNo;


    /**
     * 工号
     */
    @Schema(description = "工号")
    private String employNum;


    /**
     * 工号名称
     */
    @Schema(description = "工号名称")
    private String employName;


    /**
     * 手机号码
     */
    @Schema(description = "手机号码")
    private String employMobile;




}

