package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.kxs.common.core.valid.Phone;
import jakarta.validation.constraints.NotBlank;

/**
 * 服务商(LhbIsvInfo)表实体类
 *
 * @author 系统
 * @since 2024-10-18 16:10:11
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbIsvInfo extends Model<LhbIsvInfo> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 删除标记，0未删除，1已删除
     */
    @Schema(description = "删除标记，0未删除，1已删除")
    private Integer delFlag;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 状态 1正常 0停用
     */
    @Schema(description = "状态 1正常 0停用")
    private Integer status;


    /**
     * 名称
     */
    @Schema(description = "名称")
    private String isvName;


    /**
     * 服务商号
     */
    @Schema(description = "服务商号")
    private String isvNo;


    /**
     * 联系人姓名
     */
    @Schema(description = "联系人姓名")
    private String contactName;


    /**
     * 联系人手机号
     */
    @Schema(description = "联系人手机号")
    private String contactTel;


    /**
     * 备注
     */
    @Schema(description = "备注")
    private String remark;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;


    /**
     * 绑定推送地址
     */
    @Schema(description = "绑定推送地址")
    private String bindUrl;


    /**
     * 订单推送地址
     */
    @Schema(description = "订单推送地址")
    private String orderUrl;


    /**
     * 公钥
     */
    @Schema(description = "公钥")
    private String publicKey;


    /**
     * 私钥
     */
    @Schema(description = "私钥")
    private String privateKey;




}

