package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.kxs.common.core.valid.Phone;
import jakarta.validation.constraints.NotBlank;

/**
 * 通知记录表(LhbNotify)表实体类
 *
 * @author 系统
 * @since 2024-10-18 16:10:12
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbNotify extends Model<LhbNotify> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 删除标记，0未删除，1已删除
     */
    @Schema(description = "删除标记，0未删除，1已删除")
    private Integer delFlag;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 状态 0推送中 1推送成功 -1推送失败
     */
    @Schema(description = "状态 0推送中 1推送成功 -1推送失败")
    private Integer status;


    /**
     * 通知时间
     */
    @Schema(description = "通知时间")
    private LocalDateTime notifyTime;


    /**
     * 通知数据
     */
    @Schema(description = "通知数据")
    private String params;


    /**
     * 服务商号
     */
    @Schema(description = "服务商号")
    private String isvNo;


    /**
     * 通知次数
     */
    @Schema(description = "通知次数")
    private Integer notifyCount;


    /**
     * 通知ID唯一
     */
    @Schema(description = "通知ID唯一")
    private String notifyId;


    /**
     * 推送类型
     */
    @Schema(description = "推送类型")
    private String className;


    /**
     * 返回数据
     */
    @Schema(description = "返回数据")
    private String response;




}

