package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.kxs.common.core.valid.Phone;
import jakarta.validation.constraints.NotBlank;

/**
 * 号码账单记录(LhbOrderRecharge)表实体类
 *
 * @author 系统
 * @since 2024-10-30 16:34:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbOrderRecharge extends Model<LhbOrderRecharge> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateBy;


    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "创建人")
    private String createBy;


    /**
     * 账单金额 单位分
     */
    @Schema(description = "账单金额 单位分")
    private BigDecimal billFee;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 删除标记，0未删除，1已删除
     */
    @Schema(description = "删除标记，0未删除，1已删除")
    private Integer delFlag;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 通道号
     */
    @Schema(description = "通道号")
    private String ifCode;


    /**
     * 手机号码
     */
    @Schema(description = "手机号码")
    private String phone;


    /**
     * 订单号
     */
    @Schema(description = "订单号")
    private String orderSn;


    /**
     * 账单月份
     */
    @Schema(description = "账单月份")
    private Integer billMonth;


    /**
     * 商品名称
     */
    @Schema(description = "商品名称")
    private String goodsName;


    /**
     * 服务商号
     */
    @Schema(description = "服务商号")
    private String isvNo;




}

