package com.kxs.lhb.basic.api.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 用户表(LlbUser)表实体类
 *
 * @author 系统
 * @since 2024-09-02 14:26:08
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbUser extends Model<LhbUser> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 用户ID
     */
    @Schema(description = "用户ID")
    private Long id;


    /**
     * 微信登录openId
     */
    @Schema(description = "微信登录openId")
    private String wxOpenid;


    /**
     * 删除标记，0未删除，1已删除
     */
    @Schema(description = "删除标记，0未删除，1已删除")
    private Integer delFlag;


    /**
     * 锁定标记，0未锁定，1已锁定
     */
    @Schema(description = "锁定标记，0未锁定，1已锁定")
    private Integer lockFlag;


    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;


    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;


    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateBy;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;


    /**
     * 昵称
     */
    @Schema(description = "昵称")
    private String nickname;


    /**
     * 头像
     */
    @Schema(description = "头像")
    private String avatar;


    /**
     * 电话号码
     */
    @Schema(description = "电话号码")
    private String phone;


    /**
     * 盐值
     */
    @Schema(description = "盐值")
    private String salt;


    /**
     * 密码
     */
    @Schema(description = "密码")
    private String password;


    /**
     * 用户名
     */
    @Schema(description = "用户名")
    private String username;


    /**
     * 状态 0注销 1正常
     */
    @Schema(description = "状态 0注销 1正常")
    private Integer status;


    /**
     * 备注
     */
    @Schema(description = "备注")
    private String remark;

    /**
     * 工号
     */
    @Schema(description = "工号")
    private String employNum;

    /**
     * 服务商号
     */
    @Schema(description = "服务商号")
    private String isvNo;


}

