package com.kxs.lhb.basic.api.vo.admin.bill;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.kxs.common.excel.annotation.ExcelLine;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 广电号码账单导入
 *
 * @author 没秃顶的码农
 * @date 2024-10-29
 */
@Data
@ColumnWidth(30)
public class BillExcelVO implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 导入时候回显行号
	 */
	@ExcelLine
	@ExcelIgnore
	private Long lineNum;

	/**
	 * 办理号码
	 */
	@NotNull(message = "手机号不能为空")
	@ExcelProperty("办理号码")
	private String phone;

	/**
	 * 标准资费
	 */
	@NotBlank(message = "账单金额不能为空")
	@ExcelProperty("标准资费")
	private String billFee;

	/**
	 * 订单号
	 */
	@NotNull(message = "订单号不能为空")
	@ExcelProperty("订单号")
	private String orderSn;

	/**
	 * 下单时间
	 */
	@NotNull(message = "账单月份不能为空")
	@ExcelProperty("下单时间")
	private LocalDateTime billMonth;

	/**
	 * 套餐名称
	 */
	@NotNull(message = "商品名称不能为空")
	@ExcelProperty("套餐名称")
	private String goodsName;



}
