package com.kxs.lhb.basic.api.vo.cusmoter.goods;

import com.kxs.lhb.basic.api.model.LhbGoods;
import com.kxs.lhb.basic.api.model.LhbGoodsActivities;
import com.kxs.lhb.basic.api.model.LhbGoodsSku;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;


/**
 * 商品详情
 *
 * @author 系统
 * @date 2024-10-22 14:41:49
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Schema(description = "商品详情")
public class GoodsInfoVO extends LhbGoods implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * SKU
     */
    private List<GoodsSkuVO> skuList;


    @EqualsAndHashCode(callSuper = true)
    @Data
    public static class GoodsSkuVO extends LhbGoodsSku{

        /**
         * 活动列表
         */
        private List<LhbGoodsActivities> goodsActivities;
    }

}
