package com.kxs.lhb.basic.biz.channel;

import com.kxs.common.pay.enums.PayPlatformEnum;
import com.kxs.lhb.basic.api.constant.enums.ChannelCodeEnum;
import com.kxs.lhb.basic.api.dto.tongyi.*;
import com.kxs.lhb.basic.api.vo.tongyi.*;
import org.springframework.core.Ordered;

import java.util.List;

/**
 * 调用第三方服务
 *
 * @author 没秃顶的码农
 * @date 2024-10-18
 */
public interface BasicService extends Ordered {


    /**
     * 获取省市区
     */
    List<AreaRes> getArea();

    /**
     * 获取套餐信息
     */
    List<PackagesRes> getPackages(PackagesReq req);

    /**
     * 选号API
     */
    NumbersRes getNumbers(NumbersReq req);

    /**
     * 选号预占接口
     */
    void preNumber(PreNumbersReq req);

    /**
     * 提交订单API
     */
    String orderSubmit(OrderSubmitReq req);

    /**
     * 订单取消
     */
    void orderCancel(OrderCancelReq req);

    /**
     * 查询物流
     */
    QueryLogisticsRes queryLogistics(QueryOrderReq req);

    /**
     * 查询状态
     */
    String queryStatus(QueryOrderReq req);

    /**
     * 首充查询API
     */
    String queryFirstCharge(QueryOrderReq req);

    /**
     * 查询分销充值记录
     */
    List<OrderChargeLevelRes> queryChargeLevel(OrderChargeLevelReq req);


    default boolean support(ChannelCodeEnum ifCode) {
        return true;
    }
}
