package com.kxs.lhb.basic.biz.channel.tongyi;

import cn.hutool.core.lang.TypeReference;
import cn.hutool.json.JSONUtil;
import com.kxs.common.pay.enums.PayPlatformEnum;
import com.kxs.lhb.basic.api.constant.enums.ChannelCodeEnum;
import com.kxs.lhb.basic.api.dto.tongyi.*;
import com.kxs.lhb.basic.api.vo.tongyi.*;
import com.kxs.lhb.basic.biz.channel.BasicService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * TY API调用服务
 *
 * @author 没秃顶的码农
 * @date 2024-10-18
 */
@Service
public class TYBasicService extends TongYiService implements BasicService {

    @Override
    public List<AreaRes> getArea() {

        TyCommonReq req = new TyCommonReq();
        TyCommRes<Object> commRes = sendToUrl(req, "/api/v1/guangdian/area");
        return JSONUtil.toList(JSONUtil.toJsonStr(commRes.getData()), AreaRes.class);
    }

    @Override
    public List<PackagesRes> getPackages(PackagesReq req) {

        TyCommRes<Object> commRes = sendToUrl(req, "/api/v1/guangdian/packages");
        return JSONUtil.toList(JSONUtil.toJsonStr(commRes.getData()), PackagesRes.class);
    }

    @Override
    public NumbersRes getNumbers(NumbersReq req) {

        TyCommRes<Object> commRes = sendToUrl(req, "/api/v1/guangdian/numbers");
        return JSONUtil.toBean(JSONUtil.toJsonStr(commRes.getData()), NumbersRes.class);
    }

    @Override
    public void preNumber(PreNumbersReq req) {

        sendToUrl(req, "/api/v1/guangdian/preNumber");
    }

    @Override
    public String orderSubmit(OrderSubmitReq req) {

        TyCommRes<Object> commRes = sendToUrl(req, "/api/v1/guangdian/submit");
        return commRes.getData().toString();
    }

    @Override
    public void orderCancel(OrderCancelReq req) {

        sendToUrl(req, "/api/v1/guangdian/cancel");
    }

    @Override
    public QueryLogisticsRes queryLogistics(QueryOrderReq req) {

        TyCommRes<Object> commRes = sendToUrl(req, "/api/v1/guangdian/queryLogistics");
        TyCommRes<QueryLogisticsRes> res = JSONUtil.toBean(commRes.getData().toString(), new TypeReference<>() {}, true);
        return JSONUtil.toBean(JSONUtil.toJsonStr(res.getData()), QueryLogisticsRes.class);
    }

    @Override
    public String queryStatus(QueryOrderReq req) {

        TyCommRes<Object> commRes = sendToUrl(req, "/api/v1/guangdian/queryStatus");
        return commRes.getData().toString();
    }

    @Override
    public String queryFirstCharge(QueryOrderReq req) {

        TyCommRes<Object> commRes = sendToUrl(req, "/api/v1/guangdian/queryFirstCharge");
        return commRes.getData().toString();
    }

    @Override
    public List<OrderChargeLevelRes> queryChargeLevel(OrderChargeLevelReq req) {

        TyCommRes<Object> commRes = sendToUrl(req, "/api/v1/guangdian/queryChargeLevel");
        return JSONUtil.toList(JSONUtil.toJsonStr(commRes.getData()), OrderChargeLevelRes.class);
    }


    @Override
    public boolean support(ChannelCodeEnum ifCode) {
        return ChannelCodeEnum.TY.equals(ifCode);
    }

    @Override
    public int getOrder() {
        return Integer.MIN_VALUE;
    }

}
