package com.kxs.lhb.basic.biz.controller.admin;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.kxs.common.core.util.R;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.kxs.common.idempotent.annotation.Idempotent;
import com.kxs.common.security.annotation.Inner;
import com.kxs.common.log.annotation.SysLog;
import org.springdoc.core.annotations.ParameterObject;
import io.swagger.v3.oas.annotations.security.SecurityRequirement;
import io.swagger.v3.oas.annotations.tags.Tag;
import com.kxs.lhb.basic.api.model.LhbArea;
import org.apache.ibatis.annotations.Param;
import com.kxs.lhb.basic.biz.service.LhbAreaService;

import org.springframework.web.bind.annotation.*;
import org.springframework.http.HttpHeaders;
import org.springframework.security.access.prepost.PreAuthorize;

import java.util.List;
import lombok.RequiredArgsConstructor;

/**
 * 系统管理(SysArea)控制层
 *
 * @author 系统
 * @since 2024-10-21 14:27:27
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("sysArea")
@Tag(description = "sysArea", name = "SysArea")
@SecurityRequirement(name = HttpHeaders.AUTHORIZATION)
public class SysAreaController {

    /**
     * 服务对象
     */
    private final LhbAreaService lhbAreaService;



    /**
     * 地区管理-列表
     *
     * @param page 分页对象
     * @RequestParam param 实体参数
     * @return 地区管理-列表
     */
    @GetMapping("/page")
    public R page(@ParameterObject Page<LhbArea> page, @ParameterObject LhbArea param) {

        return R.ok(lhbAreaService.page(page, new QueryWrapper<>(param)));
    }


    /**
     * 地区管理-刷新
     *
     * @return 地区管理-刷新
     */
    @GetMapping("/refresh")
//    @Idempotent(expireTime = 300, key = "area_refresh")
    public R refresh() {

        lhbAreaService.refresh();
        return R.ok();
    }





}

