package com.kxs.lhb.basic.biz.controller.admin;

import com.kxs.common.core.util.R;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.kxs.common.log.annotation.SysLog;
import com.kxs.lhb.basic.api.dto.admin.sysNotify.SysNotifyDTO;
import com.kxs.lhb.basic.api.dto.admin.sysNotify.SysNotifyPageDTO;
import jakarta.validation.Valid;
import org.springdoc.core.annotations.ParameterObject;
import io.swagger.v3.oas.annotations.security.SecurityRequirement;
import io.swagger.v3.oas.annotations.tags.Tag;
import com.kxs.lhb.basic.api.model.LhbNotify;
import com.kxs.lhb.basic.biz.service.LhbNotifyService;

import org.springframework.web.bind.annotation.*;
import org.springframework.http.HttpHeaders;
import org.springframework.security.access.prepost.PreAuthorize;

import lombok.RequiredArgsConstructor;

/**
 * 服务商(SysNotify)控制层
 *
 * @author 系统
 * @since 2024-10-18 17:10:09
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("sysNotify")
@Tag(description = "sysNotify", name = "SysNotify")
@SecurityRequirement(name = HttpHeaders.AUTHORIZATION)
public class SysNotifyController {

    /**
     * 服务对象
     */
    private final LhbNotifyService lhbNotifyService;



    /**
     * 推送管理-推送列表
     *
     * @param page 分页对象
     * @return 推送管理-推送列表
     */
    @GetMapping("/page")
    public R page(@ParameterObject Page<LhbNotify> page, @ParameterObject SysNotifyPageDTO param) {
        return R.ok(lhbNotifyService.notifyPage(page, param));
    }


    /**
     * 推送管理-补推
     *
     * @return 推送管理-补推
     */
    @SysLog("通知记录表新增")
    @PostMapping("/notify")
//    @PreAuthorize("@pms.hasPermission('lhb_notify_notify')")
    public R notify(@Valid @RequestBody SysNotifyDTO param) {

        return R.ok(lhbNotifyService.notifyBatchData(param));
    }





}

