package com.kxs.lhb.basic.biz.controller.cusmoter;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.kxs.common.core.util.R;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.kxs.common.security.annotation.Inner;
import com.kxs.common.log.annotation.SysLog;
import org.springdoc.core.annotations.ParameterObject;
import io.swagger.v3.oas.annotations.security.SecurityRequirement;
import io.swagger.v3.oas.annotations.tags.Tag;
import com.kxs.lhb.basic.api.model.LhbBanner;
import org.apache.ibatis.annotations.Param;
import com.kxs.lhb.basic.biz.service.LhbBannerService;

import org.springframework.web.bind.annotation.*;
import org.springframework.http.HttpHeaders;
import org.springframework.security.access.prepost.PreAuthorize;

import java.util.List;
import lombok.RequiredArgsConstructor;

/**
 * 广告管理(Banner)控制层
 *
 * @author 系统
 * @since 2024-10-22 14:41:49
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("banner")
@Tag(description = "banner", name = "Banner")
@SecurityRequirement(name = HttpHeaders.AUTHORIZATION)
public class BannerController {

    /**
     * 服务对象
     */
    private final LhbBannerService lhbBannerService;



    /**
     * 分类下的banner
     *
     * @RequestParam param 实体参数
     * @return 分类下的banner
     */
    @GetMapping("/getBanner")
    public R getBanner(@RequestParam("colId") String colId) {

        return R.ok(lhbBannerService.list(Wrappers.lambdaQuery(LhbBanner.class).eq(LhbBanner::getColId, colId)));
    }





}

