package com.kxs.lhb.basic.biz.controller.cusmoter;

import com.kxs.common.core.util.R;
import com.kxs.common.security.annotation.Inner;
import com.kxs.lhb.basic.biz.service.LhbRulemakingService;
import io.swagger.v3.oas.annotations.security.SecurityRequirement;
import lombok.RequiredArgsConstructor;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户(AppRule making)控制层
 *
 * @author 系统
 * @since 2024-09-02 18:02:57
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("ruleMaking")
@SecurityRequirement(name = HttpHeaders.AUTHORIZATION)
public class RuleMakingController {

    /**
     * 服务对象
     */
    private final LhbRulemakingService ruleMakingService;



    /**
     * 获取协议内容
     * param 实体参数
     * @return 获取协议内容
     */
    @Inner(value = false)
    @GetMapping("/getById")
    public R getById(@RequestParam("id") Integer id) {

        return R.ok(ruleMakingService.getById(id));
    }





}

