package com.kxs.lhb.basic.biz.controller.cusmoter;

import com.kxs.common.core.util.R;
import com.kxs.common.security.annotation.Inner;
import com.kxs.lhb.basic.biz.service.LhbUserService;
import io.swagger.v3.oas.annotations.security.SecurityRequirement;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户(AppUser)控制层
 *
 * @author 系统
 * @since 2024-09-02 18:02:56
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("user")
@SecurityRequirement(name = HttpHeaders.AUTHORIZATION)
public class UserController {

    /**
     * 服务对象
     */
    private final LhbUserService lhbUserService;


    @GetMapping("/getJsapiTicket")
    public Object getJsapiTicket(@RequestParam("url") String url) {

        return R.ok(lhbUserService.getJsapiTicket(url));
    }

    /**
     * 获取指定用户全部信息
     * 内部调用
     * @return 用户信息
     */
    @Inner(value = false)
    @GetMapping(value = { "/loadUserByWxCode" })
    public R loadUserByCode(@RequestParam("code") String code) {

        return R.ok(lhbUserService.wechat(code));
    }

}

