package com.kxs.lhb.basic.biz.service;

import com.github.yulichang.base.MPJBaseService;
import com.kxs.lhb.basic.api.model.LhbOrder;
import com.kxs.lhb.basic.api.vo.admin.sysOrder.QueryLogisticsVO;

import java.util.List;


/**
 * 订单表(LhbOrder)表服务接口
 *
 * @author 系统
 * @since 2024-10-18 16:10:13
 */
public interface LhbOrderService extends MPJBaseService<LhbOrder> {

    List<QueryLogisticsVO> queryLogistics(Integer id);

    Integer submit(LhbOrder param);

    void payBack(String outTradeNo, String transactionId);

    Object payOrder(LhbOrder param);

    Integer prePhone(LhbOrder param);

    void changeTimeoutOrder(LhbOrder order);

    Boolean cancelOrder(LhbOrder param);

    /**
     * 更新订单状态
     */
    void orderStatusTask();

    /**
     * 查询订单是否首冲
     */
    void orderFirstCharge();


    /**
     * 服务费退还
     *
     * @param param 参数
     * @return {@link Boolean }
     */
    Boolean refundFee(LhbOrder param);
}

