package com.kxs.lhb.basic.biz.service.impl;

import com.github.yulichang.base.MPJBaseServiceImpl;
import com.kxs.lhb.basic.api.model.LhbArea;
import com.kxs.lhb.basic.api.vo.tongyi.AreaRes;
import com.kxs.lhb.basic.biz.channel.BasicService;
import com.kxs.lhb.basic.biz.mapper.LhbAreaMapper;
import com.kxs.lhb.basic.biz.service.LhbAreaService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * 地区表(LhbArea)表服务实现类
 *
 * @author 系统
 * @since 2024-10-18 16:10:13
 */
@Service("lhbAreaService")
@RequiredArgsConstructor
@Slf4j
public class LhbAreaServiceImpl extends MPJBaseServiceImpl<LhbAreaMapper, LhbArea> implements LhbAreaService {

    private final BasicService basicService;

    @Override
    @Transactional
    public void refresh() {

        List<AreaRes> resList = basicService.getArea();
        for (AreaRes areaRes : resList) {
            LhbArea lhbArea = new LhbArea();
            lhbArea.setId(areaRes.getId());
            lhbArea.setParentId(areaRes.getParentId());
            lhbArea.setAreaCode(areaRes.getAreaCode());
            lhbArea.setAreaName(areaRes.getAreaName());
            saveOrUpdate(lhbArea);
        }

    }

    @Override
    public List<LhbArea> getListAreas(List<String> codes) {

        return baseMapper.getListAreas(codes);
    }
}

