package com.kxs.lhb.basic.biz.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.github.yulichang.toolkit.JoinWrappers;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.kxs.lhb.basic.biz.mapper.LhbIsvInfoMapper;
import com.kxs.lhb.basic.biz.service.LhbIsvInfoService;
import org.springframework.stereotype.Service;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import com.kxs.lhb.basic.api.model.LhbIsvInfo;


/**
 * 服务商(LhbIsvInfo)表服务实现类
 *
 * @author 系统
 * @since 2024-10-18 16:10:11
 */
@Service("lhbIsvInfoService")
@RequiredArgsConstructor
@Slf4j
public class LhbIsvInfoServiceImpl extends MPJBaseServiceImpl<LhbIsvInfoMapper, LhbIsvInfo> implements LhbIsvInfoService {

    @Override
    public LhbIsvInfo getByIsvNo(String isvNo) {

        return getOne(Wrappers.lambdaQuery(LhbIsvInfo.class).eq(LhbIsvInfo::getIsvNo, isvNo));
    }
}

