package com.kxs.gateway.api.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;

import java.util.List;

/**
 * @author LXQ
 * @date 2021/10/4
 * <p>
 * 网关配置文件
 */
@Data
@RefreshScope
@ConfigurationProperties("gateway")
public class GatewayConfigProperties {

	private AesConfigProperties aes = new AesConfigProperties();
	private RequestProperties request = new RequestProperties();

	@Data
	public static class AesConfigProperties {

		/**
		 * 网关解密 秘钥 {@link com.kxs.gateway.api.filter.RequestDecoderFilter}
		 */
		private String encodeKey;

		private String encodeIv;

		private String encodeMode;

		private String encodePadding;

	}

	@Data
	public class RequestProperties {

		/**
		 * 需要过滤不解密的接口
		 */
		private List<String> filterUrl;


	}

	/**
	 * 网关不需要校验验证码的客户端 {@link com.kxs.gateway.api.filter.ValidateCodeGatewayFilter}
	 */
	private List<String> ignoreClients;

}
