
package com.kxs.daemon.quartz.task;

import com.kxs.common.core.constant.SecurityConstants;
import com.kxs.daemon.quartz.constants.SkyQuartzEnum;
import com.kxs.lhb.basic.api.feign.RemoteLhbBasicService;
import lombok.RequiredArgsConstructor;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


/**
 * 定时任务
 *
 * @author 没秃顶的码农
 * @date 2024-10-20
 */
@Slf4j
@Component("basicTask")
@RequiredArgsConstructor
public class BasicTask {

	private final RemoteLhbBasicService remoteLhbUserService;

	/**
	 * 更新商品信息
	 */
	@SneakyThrows
	public String goodsInfoTask() {

		remoteLhbUserService.goodsInfoTask(SecurityConstants.FROM_IN);
		return SkyQuartzEnum.JOB_LOG_STATUS_SUCCESS.getType();
	}

	/**
	 * 更新订单状态
	 */
	@SneakyThrows
	public String orderStatusTask() {

		remoteLhbUserService.orderStatusTask(SecurityConstants.FROM_IN);
		return SkyQuartzEnum.JOB_LOG_STATUS_SUCCESS.getType();
	}

	/**
	 * 查询订单是否首冲
	 */
	@SneakyThrows
	public String orderFirstChargeTask() {

		remoteLhbUserService.orderFirstCharge(SecurityConstants.FROM_IN);
		return SkyQuartzEnum.JOB_LOG_STATUS_SUCCESS.getType();
	}


}
