package com.kxs.lhb.system.api.feign;

import com.kxs.common.core.constant.SecurityConstants;
import com.kxs.common.core.util.R;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.service.annotation.GetExchange;

/**
 * @author LXQ
 * @date 2021/5/12
 * <p>
 * 查询参数相关
 */
public interface RemoteParamService {

	/**
	 * 通过key 查询参数配置
	 * @param key key
	 * @param from 声明成内部调用，避免MQ 等无法调用
	 */
	@GetExchange("/param/publicValue")
	R<String> getByKey(@RequestParam("publicKey") String key, @RequestHeader(SecurityConstants.FROM) String from);

}
