package com.kxs.lhb.system.api.vo.admin;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 百城千团列表查询vo
 */
@Data
public class GetByBcqtPageVO {

    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;



    /**
     * 团队名称
     */
    @Schema(description = "团队名称")
    private String teamName;


    /**
     * 活动开始时间
     */
    @Schema(description = "活动开始时间")
    private LocalDateTime startTime;


    /**
     * 活动结束时间
     */
    @Schema(description = "活动结束时间")
    private LocalDateTime endTime;


    /**
     * 活动状态 0报名中 1已开始 2已结束
     */
    @Schema(description = "活动状态 0报名中 1已开始 2已结束")
    private Integer status;


    /**
     * 达标状态 0未达标 1已达标
     */
    @Schema(description = "达标状态 0未达标 1已达标")
    private Integer reachStatus;


    /**
     * 队长id
     */
    @Schema(description = "队长id")
    private Long captainId;


    /**
     * 团队人数
     */
    @Schema(description = "团队人数")
    private Integer teamNumber;


    /**
     * 活动时长(单位:自然日)
     */
    @Schema(description = "活动时长(单位:自然日)")
    private Integer activityDate;

    /**
     * 队长名
     */
    @Schema(description = "队长名")
    private String username;
    /**
     * 队长编号
     */
    @Schema(description = "队长编号")
    private String userCode;
    /**
     * 激活总量
     */
    @Schema(description = "激活总量")
    private Integer activityTotal;
    /**
     * 活动类型 1训练营
     */
    @Schema(description = "活动类型 1训练营")
    private Integer activiteType;
}
