package com.kxs.lhb.system.biz.controller.admin;

import com.alibaba.fastjson.JSON;
import com.kxs.common.core.util.R;
import com.kxs.common.excel.converters.ImportAsyncInfo;
import lombok.RequiredArgsConstructor;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * SYS 通信控制器
 *
 * @author 没秃顶的码农
 * @date 2024-07-26
 */
@RestController
@RequestMapping("sysComm")
@RequiredArgsConstructor
public class SysCommController {

    private final RedisTemplate<String, Object> redisTemplate;


    /**
     * 获取进度条
     *
     * @param key 钥匙
     * @return {@link R}
     */
    @GetMapping("/getProgress")
    public R getProgress(@RequestParam("key") String key){
        Object obj = redisTemplate.opsForValue().get(key);

        return R.ok(obj != null ? JSON.parseObject(obj.toString(), ImportAsyncInfo.class) : null);
    }

}
