package com.kxs.lhb.system.biz.service;

import cn.hutool.core.lang.tree.Tree;
import com.github.yulichang.base.MPJBaseService;
import com.kxs.lhb.system.api.model.SysDept;

import java.util.List;

/**
 * 部门管理 服务类
 *
 * @author 没秃顶的码农
 * @date 2023/11/06
 */
public interface SysDeptService extends MPJBaseService<SysDept> {

	/**
	 * 查询部门树菜单
	 * @param deptName 部门名称
	 * @return 树
	 */
	List<Tree<Long>> selectTree(String deptName);

	/**
	 * 删除部门
	 * @param id 部门 ID
	 * @return 成功、失败
	 */
	Boolean removeDeptById(Long id);

	/**
	 * 获取部门的所有后代部门列表
	 * @param deptId 部门ID
	 * @return 后代部门列表
	 */
	List<SysDept> listDescendant(Long deptId);

}
