
package com.kxs.lhb.system.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kxs.common.core.util.R;
import com.kxs.lhb.system.api.model.SysFile;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 文件管理
 *
 * @author 没秃顶的码农
 * @date 2019-06-18 17:18:42
 */
public interface SysFileService extends IService<SysFile> {

	/**
	 * 上传文件
	 * @param file
	 * @return
	 */
	R uploadFile(MultipartFile file);

	/**
	 * 读取文件
	 *
	 * @param bucket   桶名称
	 * @param fileName 文件名称
	 * @param response 输出流
	 * @return
	 */
	String getFile(String bucket, String fileName, HttpServletResponse response);

	/**
	 * 删除文件
	 * @param ids id集合
	 */
	Boolean deleteFile(List<Long> ids);

}
