package com.kxs.lhb.system.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kxs.common.core.util.R;
import com.kxs.common.file.oss.service.OssTemplate;
import com.kxs.lhb.system.biz.service.SysFileService;
import com.kxs.lhb.system.api.model.SysFile;
import com.kxs.lhb.system.biz.mapper.SysFileMapper;
import jakarta.servlet.http.HttpServletResponse;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 文件管理
 *
 * @author 没秃顶的码农
 * @date 2019-06-18 17:18:42
 */
@Slf4j
@Service
@AllArgsConstructor
public class SysFileServiceImpl extends ServiceImpl<SysFileMapper, SysFile> implements SysFileService {

	private final OssTemplate ossTemplate;

	@Override
	public R uploadFile(MultipartFile file) {
		return null;
	}

	@Override
	public String getFile(String bucket, String fileName, HttpServletResponse response) {

        return ossTemplate.getFile(bucket, fileName);
	}

	@Override
	public Boolean deleteFile(List<Long> ids) {

		List<SysFile> sysFiles = this.listByIds(ids);
		for (SysFile sysFile : sysFiles) {

			ossTemplate.removeObject(sysFile.getBucketName(), sysFile.getFileName());
			this.removeById(sysFile.getId());
		}

		return Boolean.TRUE;
	}
}
